#!/bin/bash

# abort whenever an error occurs
set -e

# Cleanup
rm -rf build-mac
rm -rf client
rm -rf install

# Clone the desktop client code
git clone --recursive https://github.com/owncloud/client.git
cd client

echo "Checking out owncloud client version: $OWNCLOUD_VERSION"

git checkout $OWNCLOUD_VERSION
git submodule update --recursive

# apply all patches
for file in ../patches/*; do patch -p1 < ${file}; done
