#!/usr/bin/env bash

set -e

apt-get update

apt-get install -y git libsqlite3-dev qt5-default libqt5webkit5-dev qt5keychain-dev cmake build-essential devscripts debhelper libowncloudsync0 \
                   libssl-dev zlib1g-dev python3-sphinx doxygen kdelibs5-dev kio-dev libcmocka-dev libhttp-dav-perl optipng pkg-kde-tools python3-all \
                   qttools5-dev qttools5-dev-tools xvfb cdbs extra-cmake-modules dolphin-dev

cd $REPODIR

export CLIENT_DIR=stack-client_${OWNCLOUD_VERSION}

mkdir -p ${CLIENT_DIR}/debian
cp -R client ${CLIENT_DIR}/client
cp -R transiptheme ${CLIENT_DIR}
rm -Rf ${CLIENT_DIR}/binary
cp -r linux/debian/* ${CLIENT_DIR}/debian/

# Allow this one to fail, as xenial has no directory
cp -r linux/debian.${DEBIAN_VERSION}/* ${CLIENT_DIR}/debian/ || :

cd ${CLIENT_DIR}

#EDITOR=true dpkg-source --commit . local-changes

debuild --preserve-env -i -us -uc -nc -b
