#!/bin/bash

export PATH=/usr/local/opt/qt/bin:$PATH
export OPENSSL_ROOT_DIR=$(brew --prefix openssl)

export REPODIR=$(pwd)

rm -rf $REPODIR/install
mkdir -p $REPODIR/install

# Build qtkeychain
cd $REPODIR/client/src/3rdparty/
git clone https://github.com/frankosterfeld/qtkeychain.git
cd qtkeychain
git checkout v0.8.0
cmake -DCMAKE_OSX_SYSROOT="/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk" \
    -DCMAKE_OSX_DEPLOYMENT_TARGET=10.9 -DCMAKE_INSTALL_PREFIX=$REPODIR/install \
    -DCMAKE_PREFIX_PATH=/usr/local/opt/qt/clang_64 .

sudo make -j1 install

# Build the client
cd $REPODIR
cp osx/dsa_pub.pem client/admin/osx/sparkle/
rm -rf $REPODIR/build-mac
mkdir $REPODIR/build-mac
cd $REPODIR/build-mac
cmake -DCMAKE_OSX_SYSROOT="/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk" \
    -DCMAKE_OSX_DEPLOYMENT_TARGET=10.9 \
    -DCMAKE_INSTALL_PREFIX=$REPODIR/install \
    -DCMAKE_PREFIX_PATH=/usr/local/opt/qt/clang_64 \
    -D SPARKLE_INCLUDE_DIR=/Users/macosdevelopment/Library/Frameworks/Sparkle.framework/ \
    -D SPARKLE_LIBRARY=/Users/macosdevelopment/Library/Frameworks/Sparkle.framework/ \
    -D OEM_THEME_DIR=$REPODIR/transiptheme \
    -DWITH_CRASHREPORTER=OFF -DNO_SHIBBOLETH=1 \
    -DMIRALL_VERSION_BUILD=$BUILDID \
    -DMIRALL_VERSION_SUFFIX= \
    ../client

make -j2
sudo make -j1 install

cd $REPODIR
