#!/bin/bash

cd $REPODIR/build-mac

APP_CERT=$1
INSTALL_CERT=$2

echo "Make install"

sudo make install

echo "Creating install"

# The magic string here is SHA1 hash of your Developer ID Application certificate
sudo $REPODIR/client/admin/osx/sign_app.sh $REPODIR/install/stack.app $APP_CERT

echo "Creating pkg"

# The magic string here is SHA1 hash of your Developer ID Installer certificate
sudo $REPODIR/build-mac/admin/osx/create_mac.sh $REPODIR/install $REPODIR/build-mac $INSTALL_CERT

# Generate a sparkle signature for the tbz
openssl dgst -sha1 -binary < $REPODIR/install/*.tbz | openssl dgst -dss1 -sign $REPODIR/osx/dsa_priv.pem | openssl enc -base64 > $REPODIR/sig.txt

echo "Signing done"

sudo mv $REPODIR/sig.txt $REPODIR/install/signature.txt

echo "DONE"
