//
//  Generated by OWNBRANDER on Mon, 25 Apr 2016 15:49:22 +0000
//

#ifndef TRANSIP_THEME_H
#define TRANSIP_THEME_H

#include "theme.h"

#include <QString>
#include <QDebug>
#include <QPixmap>
#include <QIcon>
#include <QApplication>


namespace OCC {

class TransipTheme : public Theme
{
public:
    TransipTheme() {};
    QString configFileName() const { return QLatin1String("stack.cfg"); }
    QIcon   trayFolderIcon( const QString& ) const { return themeIcon( QLatin1String("stack-icon") ); }
    QIcon   folderDisabledIcon() const { return themeIcon( QLatin1String("state-pause") ); }
    QIcon   applicationIcon() const { return themeIcon( QLatin1String("stack-icon") ); }
    QString defaultServerFolder() const { return  QString::fromUtf8("/"); }
    //QString overrideServerUrl() const { return QLatin1String(""); }
    QString helpUrl() const { return QLatin1String("https://www.transip.nl/support"); }
    QColor wizardHeaderBackgroundColor() const { return QColor("#f5f5f5"); }
    QColor wizardHeaderTitleColor() const { return QColor("#313336"); }
    QPixmap wizardHeaderLogo() const { return QPixmap(":/client/theme/colored/wizard_logo.png"); }
    bool singleSyncFolder() const { return false; }
    bool multiAccount() const { return true; }

    // https://github.com/owncloud/client/blob/02283fc68679906009e3a81b8be633bdcf35f2c9/src/libsync/theme.h#L252
    bool linkSharing() const { return false; }
    bool userGroupSharing() const { return false; }

//    QString about() const { return tr("<p>Version %1 For more information please visit <a href='%2'>%3</a>.</p>") .arg(MIRALL_VERSION_STRING).arg("http://" MIRALL_STRINGIFY(APPLICATION_DOMAIN)) .arg(MIRALL_STRINGIFY(APPLICATION_DOMAIN)); }};

    QString about() const {
            QString re;
            re = tr("<p>Version %1. For more information please visit <a href='%2'>%3</a>.</p>")
                    .arg(MIRALL_VERSION_STRING).arg("https://" MIRALL_STRINGIFY(APPLICATION_DOMAIN))
                    .arg(MIRALL_STRINGIFY(APPLICATION_DOMAIN));

            re += trUtf8("<p><small>By Klaas Freitag, Daniel Molkentin, Jan-Christoph Borchardt, "
                         "Olivier Goffart, Markus Götz and others.</small></p>");

            re += tr("<p>This release was supplied by TransIP<br />"
                     "Copyright 2012-2017 ownCloud GmbH</p>");

            re += tr("<p>Licensed under the GNU General Public License (GPL) Version 2.0.<br/>"
                 "%2 and the %2 Logo are registered trademarks of %1 in the "
                 "European Union, other countries, or both.</p>")
                .arg(APPLICATION_VENDOR).arg(APPLICATION_NAME);

            return re;
    }
};

} // namespace mirall

#endif // transip_THEME_H
